Installation on Ubuntu

Varnish is distributed in the Ubuntu package repositories, but the version there might be out of date, and we generally recommend using the packages provided by varnish-cache.org. Please be advised that we only provide packages for Ubuntu's LTS releases, not all the intermediate releases. These packages might still work fine on newer releases.

The only supported architecture is amd64.

To use the varnish-cache.org repository and install Varnish under Ubuntu 12.04 (Precise Pangolin) do the following as root:

  1. apt-get install apt-transport-https
  2. curl https://repo.varnish-cache.org/GPG-key.txt | apt-key add -
  3. echo "deb https://repo.varnish-cache.org/ubuntu/ precise varnish-4.0" >> /etc/apt/sources.list.d/varnish-cache.list
  4. apt-get update
  5. apt-get install varnish

For Ubuntu 14.04 (Trusty Tahr) replace precise above with trusty.
If you want to install the older 3.0 version, replace varnish-4.0 with varnish-3.0 in the command above.

Debian users please follow these instructions.